| SX126x-Arduino 2.0.1

Data Fields
sRegionCommonLinkAdrReqVerifyParams Struct Reference
Common region implementation

`#include <RegionCommon.h>`

## Data Fields
uint8_t | Status
bool | AdrEnabled
int8_t | Datarate
int8_t | TxPower
uint8_t | NbRep
int8_t | CurrentDatarate
int8_t | CurrentTxPower
int8_t | CurrentNbRep
uint8_t | NbChannels
uint16_t * | ChannelsMask
int8_t | MinDatarate
int8_t | MaxDatarate
ChannelParams_t * | Channels
int8_t | MinTxPower
int8_t | MaxTxPower

## Field Documentation

## ◆ Status

uint8_t sRegionCommonLinkAdrReqVerifyParams::Status

The current status of the AdrLinkRequest.

## ◆ AdrEnabled

bool sRegionCommonLinkAdrReqVerifyParams::AdrEnabled

Set to true, if ADR is enabled.

## ◆ Datarate

int8_t sRegionCommonLinkAdrReqVerifyParams::Datarate

The datarate the AdrLinkRequest wants to set.

## ◆ TxPower

int8_t sRegionCommonLinkAdrReqVerifyParams::TxPower

The TX power the AdrLinkRequest wants to set.

## ◆ NbRep

uint8_t sRegionCommonLinkAdrReqVerifyParams::NbRep

The number of repetitions the AdrLinkRequest wants to set.

## ◆ CurrentDatarate

int8_t sRegionCommonLinkAdrReqVerifyParams::CurrentDatarate

The current datarate the node is using.

## ◆ CurrentTxPower

int8_t sRegionCommonLinkAdrReqVerifyParams::CurrentTxPower

The current TX power the node is using.

## ◆ CurrentNbRep

int8_t sRegionCommonLinkAdrReqVerifyParams::CurrentNbRep

The current number of repetitions the node is using.

## ◆ NbChannels

uint8_t sRegionCommonLinkAdrReqVerifyParams::NbChannels

The number of channels.

## ◆ ChannelsMask

uint16_t* sRegionCommonLinkAdrReqVerifyParams::ChannelsMask

Pointer to the first element of the channels mask.

## ◆ MinDatarate

int8_t sRegionCommonLinkAdrReqVerifyParams::MinDatarate

The minimum possible datarate.

## ◆ MaxDatarate

int8_t sRegionCommonLinkAdrReqVerifyParams::MaxDatarate

The maximum possible datarate.

## ◆ Channels

ChannelParams_t* sRegionCommonLinkAdrReqVerifyParams::Channels

Pointer to the channels.

## ◆ MinTxPower

int8_t sRegionCommonLinkAdrReqVerifyParams::MinTxPower

The minimum possible TX power.

## ◆ MaxTxPower

int8_t sRegionCommonLinkAdrReqVerifyParams::MaxTxPower

The maximum possible TX power.

The documentation for this struct was generated from the following file:

- src/mac/region/RegionCommon.h